Name:           vrq
Version:        1.0.74
Release:        1%{?dist}
Summary:        Verilog tool framework with plugins for manipulating source code

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://vrq.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# ---- Exclusive Arch: ----
# plugin/sim uses x86 inline assembly

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  bison flex help2man doxygen iverilog-devel readline-devel
Requires:       bzip2-libs

%description
VRQ is modular verilog parser that supports plugin tools to process verilog. 
Multiple tools may be invoked in a pipeline fashion within a single execution 
of vrq. It is a generic front-end parser with support for plugin backend 
customizable tools.

%package devel
Summary:        Header files and libraries for Vrq development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The vrq-devel package contains the header files and libraries needed
to develop backend plugin customization tools for the vrq tool framework.

%prep
%setup -q 
%{__rm} -rf `find . -name CVS`
%{__rm} -f `find . -name *.o`
%{__rm} -f `find . -name *.so`
%{__sed} -i "s|^MYDOCDIR = |MYDOCDIR = \$(DESTDIR)|" doc/Makefile*

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}
%{__rm} -f `find %{buildroot} -name *.la`
%{__rm} -rf `find %{buildroot} -name latex`

# Fedora Electronic Lab: Package Self Check
%check
%{__make} check

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README doc/faq.html
%{_bindir}/%{name}
%{_libdir}/%{name}-%{version}
%{_mandir}/man1/vrq.1.gz

%files devel
%defattr(-,root,root,-)
%doc doc/html plugin/examples/example1 plugin/examples/example2
%{_includedir}/%{name}-%{version}

%changelog
* Mon Apr 05 2010 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.74-1
- Updated to upstream package 1.0.74

* Sat Mar 27 2010 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.72-1
- Added readline-devel to BuildRequires
- Updated to upstream package 1.0.72

* Wed Dec 04 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.67-1
- Updated to upstream package 1.0.67

* Mon Nov 09 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.65-1
- Updated to upstream package 1.0.65

* Thu Oct 25 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.63-1
- Updated to upstream package 1.0.63

* Thu Oct 15 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.62-1
- Updated to upstream package 1.0.62

* Sat Oct 10 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.61-1
- Updated to upstream package 1.0.61

* Sun Sep 13 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.58-3
- Removed ldconfig for post and postun as shared library not in /usr/lib

* Sat Sep 12 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.58-2
- Removed ldconfig for post and postun in -devel package as it does not
  contain any shared libraries

* Thu Sep 10 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.58-1
- Added comment for using ExclusiveArch
- Removed perl from BR
- Simplified make install command and used -p to preserve timestamps for
  install files
- Updated MYDOCDIR in prep section 
- The main package doc contains AUTHORS ChangeLog COPYING README faq.html
- The devel package doc contains doc/html and example* folders
- Cleanup .so and .o files in example* folders

* Tue Sep 08 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.56-2
- Added Requires for -devel section as it is a MUST requirement.
- Added post, postun for -devel package as well.
- Cleaned up .la files in the shipped package.
- Replaced rm with __rm usage.

* Sun Sep 06 2009 Shakthi Kannan <shakthimaan [AT] gmail DOT com> - 1.0.56-1
- Initial Package
